Subject: [Ecrit] FW: [IANA #658921] General Request for Assignment (urn-serviceid-labels)

From: Marc Linsner <[email-masked]>
Date: Tue, 19 Mar 2013 12:32:59 -0400

Brian,

Would you please provide a review of this IANA request for registrations.

Thanks,

Marc & Roger

-----Original Message-----
From: Amanda Baber via RT <[email-masked]>
Reply-To: <[email-masked]>
Date: Friday, February 15, 2013 6:34 PM
Cc: <[email-masked]>
Subject: [IANA #658921] General Request for Assignment
(urn-serviceid-labels)
Resent-From: <[email-masked]>
Resent-To: <[email-masked]>, <[email-masked]>
Resent-Date: Fri, 15 Feb 2013 23:22:12 +0000

>Dear Marc and Roger,
>
>IANA just received a request for two registrations in the 'sos'
>Sub-Services registry at
>http://www.iana.org/assignments/urn-serviceid-labels, which has the ECRIT
>working group listed as its expert reviewer.
>
>Can you ask the working group to review the request below? If these are
>OK, how should we fill out the Description fields in the registry?
>
>thanks,
>
>Amanda Baber
>IANA Request Specialist
>ICANN
>
>=== 
>
>Contact Name:
>Ivo Sedlacek
>
>Contact Email:
>[email-masked]
>
>Type of Assignment:
>Assignment of an service URN with the 'sos' service type as specified in
>RFC5031, section 4.2.
>
>The following service URNs are proposed to be registered:
>- urn:service:sos.police.local - The 'police.local' service refers to the
>emergency service offered by the police department or other law
>enforcement authorities of the local or municipal authorities.
>- urn:service:sos.police.national - The 'police.national' service refers
>to the emergency service offered by the police department or other law
>enforcement authorities of the national government.
>
>Registry:
>Service URN Labels, 'sos' Sub-Services as shown at
>http://www.iana.org/assignments/urn-serviceid-labels/urn-serviceid-labels.
>xml
>
>Description:
>In the Czech republic and Poland, there are two public safety answering
>points (PSAP) offering the police related emergency services. The PSAP of
>the municipal police and the PSAP of the national police. There is
>currently no way how to distinguish whether the user wishes to contact
>the PSAP of the municipal police or the PSAP of the national police.
>
>In Czech, the related regulation is
>http://aplikace.mvcr.cz/sbirka-zakonu/ViewFile.aspx?type=c&id=5134 pages
>9 and 10 section 4.5 which lists the number 156 for "Obecní policie" (=
>municipal police) and the numbers 158 for "Policie České republiky" (=
>Czech republic police). Both numbers are listed with note 2) which states
>"Číslo je národním číslem pro tísňové volání" (= the number is a national
>number for emergency calls).
>
>In Poland, 
>http://uke.gov.pl/tablice-numerow-kierowania-alarmowego-nka-9410 lists
>the number 986 for "straż miejska" (= municipal police) and the number
>997 for Policja (= police) as "numery alarmowe" (= emergency numbers).
>
>Additional Info:
>The registry is defined by RFC5031, section 4.2

---

From: "Rosen, Brian" <[email-masked]>
Date: Tue, 19 Mar 2013 16:46:17 +0000

Yes

In my opinion, urn:service:sos.police.national should be registered, although I would prefer the term "country" for reasons detailed below.

I do not believe urn:service:sos.police.local should be registered, because the term "local" is ambiguous in many countries and regions.  In some areas, there are multiple levels of "local" that may have separate service URLs.  For example, you could have state, county and municipal police agencies, any of which could be considered "local".

While an expert does not usually supply alternatives, I think the ecrit work group has considered the suggestion to use the "A" levels in PIDF-LO to denote the levels of "local".  So, for example, urn:service:sos.police.a2 would be the county police, assuming A1 was state, A2 was county and A3 was city.  One could speculate whether urn:service:sos.police.a6 (neighborhood) was useful for anything, but there are "neighborhood watch" organizations that might qualify, and "vigilante" is probably not a good registration.  

Using the "A" levels leads you to use "country" as that is the top level name for the field in PIDF-LO.  "national" is an obvious synonym, and I think it's okay to use it.

However, "local" is ambiguous.

Brian

---

From: Martin Thomson <[email-masked]>
Date: Tue, 19 Mar 2013 09:57:55 -0700

I agree with Brian, "local" is not just ambiguous, it's redundant.
"urn:service:sos.police.local" is semantically equivalent to
"urn:service:sos.police".

Regarding "national" and "country", there's a subtlety that might be
relevant.  To my mind, "country" is a location-based designation,
whereas "national" implies an ownership-based distinction.  This might
be a peculiarity of Australian English.  To give a concrete example,
local councils in Australia are often given money under a "national
black-spot programme" to repair problem sections of local roadways -
the effect is local (i.e., A3-ish), but the designation is "national"
due to the nature of the sponsor.  I prefer the location-based label
for that reason.

On 19 March 2013 09:46, Rosen, Brian <[email-masked]> wrote:
> _______________________________________________
> Ecrit mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ecrit

---

From: Ivo Sedlacek <[email-masked]>
Date: Tue, 19 Mar 2013 17:38:46 +0000

Hello,

I am the author of the IANA registration request.

I would be happy with "country" instead of "national" in the URN, if that's the experts' preference.
I would also be happy with "A3" instead of "local" in the URN, if that's the experts' preference.

I.e.
- urn:service:sos.police.country - The 'police.national' service refers to the emergency service offered by the police department or other law enforcement authorities of the government of a country.
- urn:service:sos.police.A3 - The 'police.local' service refers to the emergency service offered by the police department or other law enforcement authorities of the authorities of a city, township, shi (JP).

Do I need to send another IANA registration request or can the IANA existing registration request be modified?

Kind regards

Ivo Sedlacek

This Communication is Confidential. We only send and receive email on the basis of the terms set out at www.ericsson.com/email_disclaimer 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Rosen, Brian
Sent: 19. března 2013 17:46
To: Marc Linsner
Cc: [email-masked]
Subject: Re: [Ecrit] [IANA #658921] General Request for Assignment (urn-serviceid-labels)

Yes

Brian 

On Mar 19, 2013, at 12:32 PM, Marc Linsner <[email-masked]>
 wrote:

>> http://www.iana.org/assignments/urn-serviceid-labels, which has the 
>> ECRIT working group listed as its expert reviewer.
>> 
>> Can you ask the working group to review the request below? If these 
>> are OK, how should we fill out the Description fields in the registry?
>> 
>> thanks,
>> 
>> Amanda Baber
>> IANA Request Specialist
>> ICANN
>> 
>> ===
>> 
>> Contact Name:
>> Ivo Sedlacek
>> 
>> Contact Email:
>> Assignment of an service URN with the 'sos' service type as specified 
>> in RFC5031, section 4.2.
>> 
>> - urn:service:sos.police.local - The 'police.local' service refers to 
>> the emergency service offered by the police department or other law 
>> - urn:service:sos.police.national - The 'police.national' service 
>> refers to the emergency service offered by the police department or 
>> other law enforcement authorities of the national government.
>> 
>> Registry:
>> In the Czech republic and Poland, there are two public safety 
>> answering points (PSAP) offering the police related emergency 
>> services. The PSAP of the municipal police and the PSAP of the 
>> national police. There is currently no way how to distinguish whether 
>> the user wishes to contact the PSAP of the municipal police or the PSAP of the national police.
>> 
>> 9 and 10 section 4.5 which lists the number 156 for "Obecní policie" 
>> (= municipal police) and the numbers 158 for "Policie České 
>> republiky" (= Czech republic police). Both numbers are listed with 
>> note 2) which states "Číslo je národním číslem pro tísňové volání" (= 
>> the number is a national number for emergency calls).
>> 
>> In Poland,
>> http://uke.gov.pl/tablice-numerow-kierowania-alarmowego-nka-9410 
>> lists the number 986 for "straż miejska" (= municipal police) and the 
>> number

---

From: James Polk <[email-masked]>
Date: Tue, 19 Mar 2013 13:16:24 -0500

Brian (and all)

Riddle me this

"local" is ambiguous in your opinion and "national" isn't?

Take in the US for instance, would "national" be synonymous with "federal"?

Or more specifically, who would urn:service:sos.police.national be contacting?

- the US Marshall service?
- the FBI?
- ATF/DEA?
- the US Army?
- the US Navy?
- the US Marines?
- or the US DoD hotline for them to decide which 
service to send out (kinda like a PSAP)
- some other national organization (e.g., military police, NCIS, etc)

In my view, national = federal, but it might not be in everyone's view.

James

At 11:46 AM 3/19/2013, Rosen, Brian wrote:
>Yes
>
>In my opinion, urn:service:sos.police.national 
>should be registered, although I would prefer 
>the term "country" for reasons detailed below.
>
>I do not believe urn:service:sos.police.local 
>should be registered, because the term "local" 
>is ambiguous in many countries and regions.  In 
>some areas, there are multiple levels of "local" 
>that may have separate service URLs.  For 
>example, you could have state, county and 
>municipal police agencies, any of which could be considered "local".
>
>While an expert does not usually supply 
>alternatives, I think the ecrit work group has 
>considered the suggestion to use the "A" levels 
>in PIDF-LO to denote the levels of "local".  So, 
>for example, urn:service:sos.police.a2 would be 
>the county police, assuming A1 was state, A2 was 
>county and A3 was city.  One could speculate 
>whether urn:service:sos.police.a6 (neighborhood) 
>was useful for anything, but there are 
>"neighborhood watch" organizations that might 
>qualify, and "vigilante" is probably not a good registration.
>
>Using the "A" levels leads you to use "country" 
>as that is the top level name for the field in 
>PIDF-LO.  "national" is an obvious synonym, and I think it's okay to use it.
>
> >> municipal police) and the numbers 158 for "Policie Èeské republiky" (=
> >> "Èíslo je národním èíslem pro tísòové volání" (= the number is a national
> >> the number 986 for "stra¿ miejska" (= municipal police) and the number

---

From: "Rosen, Brian" <[email-masked]>
Date: Tue, 19 Mar 2013 18:22:50 +0000

It's the FBI, not DoD.  The US Marshall service is indeed a special case, and there could be similar organizations elsewhere.

Other examples abound - there are traffic police in some areas.  There is the notion of some "County Sheriff" who is not a regular police force, but has specialized duties such as court summons service and escorting prisoners.  

But nearly every country has some sort of a national police force with broader powers.  In the U.S., that is the FBI.  

Brian

On Mar 19, 2013, at 2:16 PM, James Polk <[email-masked]> wrote:

> - or the US DoD hotline for them to decide which service to send out (kinda like a PSAP)

---

From: "DRAGE, Keith (Keith)" <[email-masked]>
Date: Tue, 19 Mar 2013 19:27:17 +0000

> "urn:service:sos.police".

I disagree with the last part of this. It is only semantically equivalent if the PSAP assigned to handle .local calls is the same as the one assigned to handle .police. It could equally be that .police and .national are handed by the same PSAP, or there could be three sets of PSAPs. So it depends on how the PSAPs are arranged and supported in any particular administration.

I'd also stress that we are setting this up to cover real need examples. Therefore if a country doesn't currently have a PSAP handling of emergency calls at these levels, it should advertise .police and handle the subtypes as .police.

I personally would like these subtypes to be reasonably meaningful, i.e. English words rather than codes.

Keith

> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Martin Thomson
> Sent: 19 March 2013 16:58
> To: Rosen, Brian
> Cc: [email-masked]
> > In my opinion, urn:service:sos.police.national should be registered,
> although I would prefer the term "country" for reasons detailed below.
> >
> > I do not believe urn:service:sos.police.local should be registered,
> because the term "local" is ambiguous in many countries and regions.  In
> some areas, there are multiple levels of "local" that may have separate
> service URLs.  For example, you could have state, county and municipal
> police agencies, any of which could be considered "local".
> >
> > While an expert does not usually supply alternatives, I think the ecrit
> work group has considered the suggestion to use the "A" levels in PIDF-LO
> to denote the levels of "local".  So, for example,
> urn:service:sos.police.a2 would be the county police, assuming A1 was
> state, A2 was county and A3 was city.  One could speculate whether
> urn:service:sos.police.a6 (neighborhood) was useful for anything, but
> there are "neighborhood watch" organizations that might qualify, and
> "vigilante" is probably not a good registration.
> >
> > Using the "A" levels leads you to use "country" as that is the top level
> name for the field in PIDF-LO.  "national" is an obvious synonym, and I
> think it's okay to use it.
> >
> ECRIT
> are
> in
> the
> refers
> answering
> (=

---

From: "Rosen, Brian" <[email-masked]>
Date: Tue, 19 Mar 2013 19:55:45 +0000

> I personally would like these subtypes to be reasonably meaningful, i.e. English words rather than codes.
The reason I didn't suggest words rather than the "A" codes is the same reason PIDF has A codes and not words:  there are many not-quite-interchangeable words that are used in constructing addresses, or naming police agencies.

Take A1.  Is it state, province, prefecture, ….?  Whatever word you choose is a poor choice in one country or another.  

Brian

---

From: Martin Thomson <[email-masked]>
Date: Tue, 19 Mar 2013 13:03:10 -0700

On 19 March 2013 12:27, DRAGE, Keith (Keith)
<[email-masked]> wrote:
> I disagree with the last part of this.

I think that you missed my point.  By nature, all urn:service:sos
sub-services are local.  That's why LoST exists.  Adding ".local" is
redundant.

---

From: "DRAGE, Keith (Keith)" <[email-masked]>
Date: Wed, 20 Mar 2013 01:49:02 +0000

These are two different concepts.

In the URN, this is about distinguishing between two (or more) different types of police force, i.e. municipal police versus FBI, or whatever.

Whatever the value of the URN you still want the PSAP that serves your area, be that the municipal police or the FBI.

Keith

> From: Martin Thomson [mailto:[email-masked]]
> Sent: 19 March 2013 20:03
> To: DRAGE, Keith (Keith)
> Cc: Rosen, Brian; [email-masked]

---

From: Dan Mongrain <[email-masked]>
Date: Tue, 19 Mar 2013 22:11:59 -0400

I am currently writing a draft that will specify jurisdictional scope for a
Service URN.  I hope to have it completed and published early next week.
As I have suggested previously it documents the addition of a PIDF-LO civic
tag at the end of a Service URN to specify a specific jurisdiction in the
case multiple jurisdictions offer the service.  I think that by proceeding
this way, it alleviates the need to register multiple combinations of
Service URNs and jurisdictional scopes.  We can still register the generic
Service URNs (sos.police.traffic, sos.fire.highrise, etc.) and in locations
where the service is offered by multiple jurisdictions then one can add the
jurisdictional scope at the end of the Service URN.

Dan

On Tue, Mar 19, 2013 at 1:38 PM, Ivo Sedlacek <[email-masked]>wrote:

> - urn:service:sos.police.country - The 'police.national' service refers to
> enforcement authorities of the government of a country.
> - urn:service:sos.police.A3 - The 'police.local' service refers to the
> emergency service offered by the police department or other law enforcement
> authorities of the authorities of a city, township, shi (JP).
>
> Do I need to send another IANA registration request or can the IANA
> existing registration request be modified?
>
> Kind regards
>
> Ivo Sedlacek
>
> This Communication is Confidential. We only send and receive email on the
> basis of the terms set out at www.ericsson.com/email_disclaimer
>
>
> Rosen, Brian
> urn:service:sos.police.a6 (neighborhood) was useful for anything, but there
> are "neighborhood watch" organizations that might qualify, and "vigilante"
> is probably not a good registration.
>

---

From: "Winterbottom, James" <[email-masked]>
Date: Wed, 20 Mar 2013 10:28:28 +0800

This question isn't specific to Dan, but more to the wider ECRIT community on ever decreasing service URNs.

For NENA i3 today, if I provide a LIS I must validate all civic locations against an LVF. This essentially issues a LoST findService request against the civic location with the specific service URN I am interested in, which at present is just urn:service:sos.

When requesting a location from a LIS, there is no way to say that I want a location for a specific service type. Sooooo I want to make 100% sure that everybody is aware and in agreement that if a civic location is validated against urn:service:sos that it has to be valid for any subordinate service identified in this service urn tree.

Cheers
James

From: [email-masked] [mailto:[email-masked]] On Behalf Of Dan Mongrain
Sent: Wednesday, 20 March 2013 1:12 PM
To: [email-masked]
Subject: Re: [Ecrit] [IANA #658921] General Request for Assignment (urn-serviceid-labels)

I am currently writing a draft that will specify jurisdictional scope for a Service URN.  I hope to have it completed and published early next week.  As I have suggested previously it documents the addition of a PIDF-LO civic tag at the end of a Service URN to specify a specific jurisdiction in the case multiple jurisdictions offer the service.  I think that by proceeding this way, it alleviates the need to register multiple combinations of Service URNs and jurisdictional scopes.  We can still register the generic Service URNs (sos.police.traffic, sos.fire.highrise, etc.) and in locations where the service is offered by multiple jurisdictions then one can add the jurisdictional scope at the end of the Service URN.

Dan
On Tue, Mar 19, 2013 at 1:38 PM, Ivo Sedlacek <[email-masked]<mailto:[email-masked]>> wrote:
Hello,

I.e.

Kind regards

Ivo Sedlacek

This Communication is Confidential. We only send and receive email on the basis of the terms set out at www.ericsson.com/email_disclaimer<http://www.ericsson.com/email_disclaimer>

-----Original Message-----
From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Rosen, Brian
Sent: 19. března 2013 17:46
To: Marc Linsner
Cc: [email-masked]<mailto:[email-masked]>
Subject: Re: [Ecrit] [IANA #658921] General Request for Assignment (urn-serviceid-labels)

Yes

Brian

On Mar 19, 2013, at 12:32 PM, Marc Linsner <[email-masked]<mailto:[email-masked]>>
 wrote:

> From: Amanda Baber via RT <[email-masked]<mailto:[email-masked]>>
> Reply-To: <[email-masked]<mailto:[email-masked]>>
> Cc: <[email-masked]<mailto:[email-masked]>>
> Resent-From: <[email-masked]<mailto:[email-masked]>>
> Resent-To: <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>
>> [email-masked]<mailto:[email-masked]>
>>
>> Type of Assignment:

_______________________________________________
Ecrit mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/ecrit
_______________________________________________
Ecrit mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/ecrit

---

From: Ivo Sedlacek <[email-masked]>
Date: Wed, 20 Mar 2013 06:15:38 +0000

Hello,

we need to distinguish:
- the emergency service of the municipal police (e.g. to be used to report a pickpocket)
- the emergency service of the national police (e.g. to be used to report a murder).

In a given location, the user can call any of them and get different service. That's why different emergency URNs are needed.

I have no strong view whether ".local" or other suffix (e.g. ".A3") is to identify the emergency service of the municipal police.

Kind regards

Ivo Sedlacek

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Martin Thomson
Sent: 19. března 2013 21:03
To: DRAGE, Keith (Keith)
Cc: Rosen, Brian; [email-masked]
Subject: Re: [Ecrit] [IANA #658921] General Request for Assignment (urn-serviceid-labels)

> I disagree with the last part of this.

I think that you missed my point.  By nature, all urn:service:sos sub-services are local.  That's why LoST exists.  Adding ".local" is redundant.
_______________________________________________
Ecrit mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ecrit

---

From: Richard Barnes <[email-masked]>
Date: Wed, 20 Mar 2013 10:42:15 -0400

Ivo,

How is the first of those two different from "urn:service:sos.police" ?
 That is, do you envision a case where "sos.police", "sos.police.national",
and "sos.police.local" all refer to different entities?

--Richard

On Wed, Mar 20, 2013 at 2:15 AM, Ivo Sedlacek <[email-masked]>wrote:

> In a given location, the user can call any of them and get different
> service. That's why different emergency URNs are needed.
>
> I have no strong view whether ".local" or other suffix (e.g. ".A3") is to
> identify the emergency service of the municipal police.
>
> Kind regards
>
> Ivo Sedlacek
>

---

From: Ivo Sedlacek <[email-masked]>
Date: Wed, 20 Mar 2013 15:32:16 +0000

Hello,

> How is the first of those two different from "urn:service:sos.police" ?  That is, do you envision a case where "sos.police", "sos.police.national", and "sos.police.local" all refer to different entities?

"sos.police.local" (municipal police) will refer to the PSAP of the municipal police.
"sos.police.national" (national police) will refer to the PSAP of the national police.
In the Czech republic, a request for "sos.police" will likely be routed to the PSAP of the national police. If a major crime is to be reported, the municipal police will need to hand it over to the national police anyway. I do not know requirements in other countries.

Kind regards

Ivo Sedlacek

This Communication is Confidential. We only send and receive email on the basis of the terms set out at www.ericsson.com/email_disclaimer<http://www.ericsson.com/email_disclaimer>
From: Richard Barnes [mailto:[email-masked]]
Sent: 20. března 2013 15:42
To: Ivo Sedlacek
Cc: Martin Thomson; DRAGE, Keith (Keith); Rosen, Brian; [email-masked]
Subject: Re: [Ecrit] [IANA #658921] General Request for Assignment (urn-serviceid-labels)

Ivo,

How is the first of those two different from "urn:service:sos.police" ?  That is, do you envision a case where "sos.police", "sos.police.national", and "sos.police.local" all refer to different entities?

--Richard

On Wed, Mar 20, 2013 at 2:15 AM, Ivo Sedlacek <[email-masked]<mailto:[email-masked]>> wrote:
Hello,

we need to distinguish:

Kind regards

Ivo Sedlacek

---

From: "DRAGE, Keith (Keith)" <[email-masked]>
Date: Fri, 22 Mar 2013 10:20:39 +0000

I believe all the specifications require is that sos.police is handled appropriately if sos.police.national and sos.police.local exist and that depends on national regulation. It would be perfectly legitimate that sos.police is handled by a third set of PSAPs, but the likely scenario is that they are handled either by PSAPs relating to sos.police.national, or by PSAPS relating to sos.police.local.

The point is that depending on the nature of the national police force versus munical police force in any given country, either could apply, and I suspect we could identify European examples that support both.

Keith

________________________________
From: Ivo Sedlacek [mailto:[email-masked]]
Sent: 20 March 2013 15:32
To: Richard Barnes
Cc: Martin Thomson; DRAGE, Keith (Keith); Rosen, Brian; [email-masked]
Subject: RE: [Ecrit] [IANA #658921] General Request for Assignment (urn-serviceid-labels)

Hello,

Kind regards

Ivo Sedlacek

Ivo,

--Richard

we need to distinguish:

Kind regards

Ivo Sedlacek